# Misc Page Settings

## Form Types

Pages can have various types that define the initial behavior and appearance of the page. The form type is set with the `formtype` key in the Misc tab of the page editor.

The 2 form types currently supported are:

* **formplain** - default style for new pages
* **formwidget** - removes the white background color of a page. Looks great with [panel](/v1/reference/components-overview/grouping-elements/untitled-1.md) elements to create the look of a widget in the middle of your page

## isForm

Entire pages or certain elements can be made into more standard forms where a "submit" action is executed when the user presses the **Enter** key. This customization is most common for [Custom Login Pages](/v1/reference/users-and-authentication/custom-login-pages.md).

To enable this functionality, add `"isForm": true` to one of the following elements:

* [panel](/v1/reference/components-overview/grouping-elements/untitled-1.md) element
* [accordion](/v1/reference/components-overview/grouping-elements/accordion.md) element
* misc tab of the page editor (for an entire page to become a form)

In order for this feature to function properly, you must have a [button](/v1/reference/components-overview/common/button.md) defined within the same context as the `isForm` flag. That button element must also have `"submit": true` defined within its schema. There can only be 1 button with the `submit` flag set for each element that is defined as a form.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/v1/reference/form-settings/misc-page-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
